#!/bin/sh

case $1 in

grabosd) 
	if [ -z $2 ]; then
		grab -o -d -p /tmp/screenosd_$(date +%Y.%m.%d@%H.%M.%S).png
	else
		grab -o -d -p $2/screenosd_$(date +%Y.%m.%d@%H.%M.%S).png
	fi
	;;
grabvid) 
	if [ -z $2 ]; then
		grab -v -p /tmp/screenvid_$(date +%Y.%m.%d@%H.%M.%S).png
	else
		grab -v -p $2/screenvid_$(date +%Y.%m.%d@%H.%M.%S).png
	fi
	;;
graball) 
	if [ -z $2 ]; then
		grab -p /tmp/screenall_$(date +%Y.%m.%d@%H.%M.%S).png
	else
		grab -p $2/screenall_$(date +%Y.%m.%d@%H.%M.%S).png
	fi
	;;
loge2) 
	if [ -z $2 ]; then
		enigma2 > /tmp/e2debug_$(date +%Y.%m.%d@%H.%M).log 2>&1
	else
		enigma2 > $2/e2debug_$(date +%Y.%m.%d@%H.%M).log 2>&1
	fi
	;;
ipkinstall) 
	if [ -z $2 ]; then
		opkg install /tmp/*.ipk
	else
		opkg install $2/*.ipk
	fi
	;;
powerstate)
	STATE=`wget http://127.0.0.1/web/powerstate -q -O - | grep true | cut -b 15-18`
	if [ "$STATE" == "true" ]; then
		echo "box is in standby"
	else
		echo "box is awake"
	fi
	;;
upgrade)
	SPACE=`df -m / | grep -v "^Filesystem" | awk {'print $4'}` # 2 = Flash, 3 = Used, 4 = Available, 5 = Use%
	echo "Update check, please wait..."
	OUTPUT=$(opkg update -V0 && opkg list-upgradable)
	if [ "$OUTPUT" == "" ]; then
		echo "No Updates available."
		exit
	else
		echo "Updates available."
		# Check Space
		if [ "$SPACE" -lt "5" ]; then
			echo "Oops! less than 5 MB free - we recommend to shut down Enigma2 before upgrading."
			while true; do
				read -p "Do you want to shut down Enigma2 before upgrading [Y/N/C]? " answer
				case $answer in
					[Yy]* )
						echo "YES"
						init 5
						sleep 1
						opkg upgrade
						echo "Please restart your DreamBox now."
						break;;
					[Nn]* )
						echo "NO"
						opkg upgrade
						break;;
					[Cc]* )
						echo "CANCEL"
						exit
						break;;
					* ) echo "Please answer [Y]es, [N]o, or [C]ancel.";;
				esac
			done
		else
			opkg upgrade
		fi
	fi
	;;
esac
exit 0
